
Infrastructure - Bug #1866

Synchronization should fail with any AccessPolicy other than public on Tier 1 MNs

2011-10-20 15:14 - Robert Waltz

Status: Rejected Start date: 2011-10-20

Priority: High Due date: 2013-01-05

Assignee: Robert Waltz % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version: Sprint-2012.50-Block.6.4   

Milestone: CCI-1.1.1 Story Points:  

Product Version: *   

Description

May want to review this with everyone to make certain it still makes sense. 

These objects may be replicated to Tier 4 nodes that will have the ability to allow their owner's to read them.

Propose that this issue be rejected at 09/05/2012 standup meeting

History

#1 - 2011-11-29 17:34 - Robert Waltz

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

#2 - 2012-01-06 04:24 - Dave Vieglais

- Position set to 12

#3 - 2012-02-08 23:39 - Dave Vieglais

It is not clear if sync should fail in this situation.

The CN can still register the existence of the object, it just wont be visible to to the public user, which is ironic since the content was served from a

public site, but not really an error condition.

#4 - 2012-06-19 20:06 - Robert Waltz

- Milestone changed from CCI-1.0.0 to CCI-1.0.2

#5 - 2012-06-21 23:06 - Robert Waltz

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

- Target version set to Sprint-2012.27-Block.4.2

#6 - 2012-07-19 22:11 - Ben Leinfelder

I'm going to vote 'no' on this too. Sure, it might feel a little odd, but maybe they intend to update the accessPolicy after a month or two on the CN, like

lifting an embargo.

#7 - 2012-07-20 18:13 - Robert Waltz

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.29-Block.4.3

Ok, sounds like I can reject this one. But, bring it up formally one of these days in a meeting, make certain everyone is in agreement.

#8 - 2012-07-31 01:09 - Dave Vieglais
- Milestone changed from CCI-1.0.3 to None

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.33-Block.5.1

Deferring this for a discussion item at the CCIT meeting.

It seems reasonable to reject this, but there should be some sort of follow up mechanism that indicates if content has been non-public for longer than

some "reasonable" period.

#9 - 2012-08-22 21:03 - Robert Waltz

- Priority changed from Normal to High

#10 - 2012-08-29 18:01 - Robert Waltz

- Target version changed from Sprint-2012.33-Block.5.1 to Sprint-2012.35-Block.5.2

- Due date set to 2012-09-05

#11 - 2012-09-18 15:46 - Robert Waltz

- Position set to 2

- Target version changed from Sprint-2012.35-Block.5.2 to Sprint-2012.39-Block.5.4

- Position deleted (163)

#12 - 2012-09-18 18:18 - Robert Waltz

- Milestone changed from None to CCI-1.0.5

#13 - 2012-09-26 16:54 - Robert Waltz

- Milestone changed from CCI-1.0.5 to CCI-1.1

#14 - 2012-10-08 16:49 - Robert Waltz

- Due date changed from 2012-09-05 to 2012-10-27

- translation missing: en.field_remaining_hours set to 0.0

- Target version changed from Sprint-2012.39-Block.5.4 to Sprint-2012.41-Block.6.1

#15 - 2012-10-08 17:16 - Robert Waltz

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.44-Block.6.2

- Milestone changed from CCI-1.1 to CCI-1.1.1

- Due date changed from 2012-10-27 to 2012-11-10

#16 - 2012-12-04 14:20 - Robert Waltz

- Due date changed from 2012-11-10 to 2013-01-05

- Target version changed from Sprint-2012.44-Block.6.2 to Sprint-2012.50-Block.6.4

#17 - 2012-12-12 19:23 - Robert Waltz

- Status changed from New to Rejected
